<?php

/**

 * Affiche l'espace libre sur les partitions

 * @Projet / SambaEdu

 * @auteurs Equipe SambaÉdu

 * @Licence Distribue selon les termes de la licence GPL

 * @note

 */

/**
 *
 * @Repertoire: /
 * file: df.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("lang.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
echo header_authorize($config);
require ("ihm.inc.php");

require_once ("lang.inc.php");
bindtextdomain('sambaedu-infos', "/var/www/sambaedu/locale");
textdomain('sambaedu-infos');

// aide
$login = $config['login'];
if (have_right($config, "system_is_admin", $login) != "Y") {
    die(gettext("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction") . "</BODY></HTML>");
}

echo "<H1>Test des performances AD</H1>";

if (test_ad($config) > 0) {
    $temps = round((10 / test_ad($config)), 3);
    echo "Temps moyen pour une requête AD : " . $temps . " s\n";
    if ($temps > 0.1) {
        echo "Votre serveur est lent ! vous allez avoir des problèmes.";
    }
} else {
    echo "ERREUR, connexion au serveur AD impossible !";
}

require ("pdp.inc.php");
?>
