<?php

/**

 * renome un parc 

 * @Projet SambaEdu 

 * @auteurs Equipe SambaEdu

 * @Licence Distribue selon les termes de la licence GPL

 * @note 

 */

/**
 *
 * @Repertoire: parcs/
 * file: delete_parc.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("lang.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
echo header_authorize($config);
require_once "samba-tool.inc.php";
include "ihm.inc.php";

// traduction
require_once ("lang.inc.php");
bindtextdomain('se3-parcs', "/var/www/se3/locale");
textdomain('se3-parcs');

$parc = $_POST['parc'] ?? "";
$newname = $_POST['newname'] ?? "";

if (have_right($config, "computer_is_admin")) {
    // aide
    $_SESSION["pageaide"] = "Gestion_des_parcs#Renommage";
    // Titre
    echo "<h1>Renommage d'un parc</h1>";

    // Affichage du formulaire de selection de parc
    if (empty($newname) || $newname == $parc) {
        echo "<H3>Sélection du parc à renommer</H3>";
        $list_parcs = search_parcs($config, "*");
        if (count($list_parcs) > 0) {
            echo "<FORM method=\"post\" action=\"rename_parc.php\">\n";
            echo "<SELECT NAME=\"parc\" SIZE=\"1\">";
            echo "<option value=\"\">Sélectionner\n";
            for ($loop = 0; $loop < count($list_parcs); $loop ++) {
                if (strcasecmp($list_parcs[$loop]['samaccountname'], "computers") != 0)
                    echo "<option value=\"" . $list_parcs[$loop]["samaccountname"] . "\"";
                if ($list_parcs[$loop]["samaccountname"] == $parc) {
                    echo "selected=\"true\"";
                }
                echo ">" . $list_parcs[$loop]["name"] . "\n";
            }
            echo "</SELECT>&nbsp;&nbsp;\n";
            echo "Nouveau nom : <INPUT TYPE=\"text\" SIZE=\"14\" value=\"$parc\" name=\"newname\"><br>\n";
            echo "<input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";
            echo "</FORM>\n";
        }
    } else {
        if (rename_parc($config, $parc, $newname)) {
            echo "Parc $parc renommé $newname";
        } else {
            echo "ERREUR le parc $parc n'a pas pu être renommé $newname.";
        }
    }
}
include ("pdp.inc.php");
?>
