<?php

/**

 * Desactive des comptes
 * @Version $Id$

 * @Projet LCS / SambaEdu

 * @auteurs Sandrine Dangreville ( academie de creteil )

 * @Licence Distribue selon les termes de la licence GPL

 * @note
 */

/**
 *
 * @Repertoire: annu
 * file: desac_user_entry.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("lang.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
echo header_authorize($config);
include_once "ldap.inc.php";
include "ihm.inc.php";

require_once ("lang.inc.php");
bindtextdomain('se4-core', "/var/www/sambaedu/locale");
textdomain('se4-core');

echo "<title>Activation / Désactivation des comptes</title><body>";

// Aide
$_SESSION["pageaide"] = "Annuaire";

echo "<h1>Annuaire</h1>\n";
$act = $_GET['action'] ?? '';
$cn = $_GET['cn'];

if (have_right($config, "Annu_is_admin")) {
    if ($cn) {
        if ($act == "activ") {
            modify_ad($config, $cn, "user", array(
                'useraccountcontrol' => 512
            ));
            echo "Le compte <a href='people.php?cn=$cn'>$cn</a> a été réactivé.<br />";
        } else {
            modify_ad($config, $cn, "user", array(
                'useraccountcontrol' => 514
            ));
            echo "Le compte <a href='people.php?cn=$cn'>$cn</a> a été désactivé.<br />";
        }
    } else {
        echo "Aucun utilisateur sélectionné.";
    }
} else {
    echo "<div class=error_msg>Cette fonctionnalité, nécessite les droits d'administrateur du serveur SambaEdu !</div>";
}

include ("pdp.inc.php");
?>