<?php

/**
 * Reinitialise les mots de passe
 * @Version $Id$
 * @Projet SambaEdu
 * @auteurs Equipe SambaÉdu
 * @Licence Distribue selon les termes de la licence GPL
 * @note
 */

/**
 *
 * @Repertoire: annu
 * file: pass_user_init.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("lang.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
echo header_authorize($config);

include_once "samba-tool.inc.php";
include_once "ent.inc.php";
include "ihm.inc.php";
bindtextdomain('se4-annu', "/var/www/sambaedu/locale");
textdomain('se4-annu');
$listing = [];
if ((have_right($config, "annu_can_read")) || (have_right($config, "Annu_is_admin")) || (have_right($config, "sovajon_is_admin"))) {

    echo "<h1>" . gettext("Annuaire") . "</h1>\n";

    $cn_init = $_GET['cn'];

    // Recherche d'utilisateurs dans la branche people
    $info = search_user($config, $cn_init);
    if (count($info) > 0) {
        $prenom = $info["prenom"];
        $nom = $info["nom"];

        echo "<a href='people.php?cn=" . $cn_init . "' title=\"Retour à la fiche de l'utilisateur " . $nom . " " . $prenom . "\">" . $nom . " " . $prenom . "</a>: ";
        echo reinit_passwd($config, $info, $listing, true);
    }
}
echo generate_listing($listing);
include ("pdp.inc.php");
?>